Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-16247

iOS: [ERROR] Invalid "--ios-version" value "7.0.3"

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Low
    • Resolution: Duplicate
    • Affects Version/s: Release 3.2.0
    • Fix Version/s: Release 3.2.0
    • Component/s: iOS
    • Labels:
    • Environment:

      OSX 10.8.5, XCode 5.0.2, Titanium Studio build: 3.2.1.201401091648

      Description

      When building an iphone project (simulator, device or otherwise) using Any Titanium SDK < 3.2.0GA (3.1.3GA, 3.1.2GA, etc.) I get the following error:

      [ERROR] : Invalid "--ios-version" value "7.0.3"
      7.0
      Accepted values:
      7.0
      For help, run: titanium help build
      [ERROR] : Invalid "--sim-version" value "7.0.3"

      When I attempt to modify my ios sdk in my build configurations, I am only presented with an option of 7.0.3. HOWEVER, if I instead build from the command line using

      titanium build -p ios -I 7.0

      ... then the project builds without issue (I can also build to a device and to the app store with the command line). This only started occurring since my last upgrade of Titanium studio (to version 3.2.1.201401091648 on 1/12/14). I have not updated my Xcode since November of last year.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                ingo Ingo Muschenetz
                Reporter:
                estenger Ed Stenger
              • Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Backbone Issue Sync

                  • Titanium SDK/CLI <> Titanium Mobile
                    Synced with:
                    TIMOB-18233
                    Sync status:
                    ERROR
                    Last received:
                    Last sent:

                    Git Source Code